Reset multiple nodes at once

View as Markdown
Reset multiple nodes in a simulation at once. Resetting the node emulates the hardware reset button on physical machines where the machine is immediately restarted without a clean shutdown of the operating system. For nodes that are not currently running, this means simply booting them back up. All nodes must be part of the same simulation in the `ACTIVE` state. **Required scope:** `air:simulation_edit` (roles: `air_org_admin`, `air_user`)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
simulationstringOptionalformat: "uuid"
The simulation the nodes belong to.
nodeslist of objectsOptional
Nodes in given simulation that need to be reset.

Response

No response body

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error